This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1264752 - perl-Unix-Statgrab-0.04-25.1.fc24 FTBFS: Statgrab.xs:85:14: error: too few arguments to function 'sg_get_host_info'
perl-Unix-Statgrab-0.04-25.1.fc24 FTBFS: Statgrab.xs:85:14: error: too few ar...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: perl-Unix-Statgrab (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Petr Šabata
Fedora Extras Quality Assurance
http://koji.fedoraproject.org/koji/ta...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-21 03:03 EDT by Petr Pisar
Modified: 2015-09-22 09:58 EDT (History)
5 users (show)

See Also:
Fixed In Version: perl-Unix-Statgrab-0.109-1.fc24
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-09-22 09:58:21 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Pisar 2015-09-21 03:03:59 EDT
perl-Unix-Statgrab-0.04-25.1.fc24 fails to build in F24:

gcc -c  -I. -D_REENTRANT -D_GNU_SOURCE -O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches -m64 -mtune=generic -fwrapv -fno-strict-aliasing -I/usr/local/include -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -m64 -mtune=generic   -DVERSION=\"0.04\" -DXS_VERSION=\"0.04\" -fPIC "-I/usr/lib64/perl5/CORE"   Statgrab.c
In file included from Statgrab.xs:5:0:
ppport.h:231:0: warning: "PERL_UNUSED_DECL" redefined
 #  define PERL_UNUSED_DECL
 ^
In file included from Statgrab.xs:2:0:
/usr/lib64/perl5/CORE/perl.h:313:0: note: this is the location of the previous definition
 #    define PERL_UNUSED_DECL __attribute__unused__
 ^
Statgrab.xs: In function 'XS_Unix__Statgrab_get_host_info':
Statgrab.xs:85:14: error: too few arguments to function 'sg_get_host_info'
  if ((self = sg_get_host_info()) == NULL)
              ^
In file included from Statgrab.xs:7:0:
/usr/include/statgrab.h:168:27: note: declared here
 __sg_public sg_host_info *sg_get_host_info(size_t *entries);

Difference between working and failing build root:

        libstatgrab-devel 	1:0.17-8.fc23.2 	> 	1:0.91-1.fc24
	libstatgrab 	1:0.17-8.fc23.2 	> 	1:0.91-1.fc24
	log4cplus-devel 		> 	1.1.3-0.3.rc3.fc23
	glib2 	2.45.7-1.fc24 	> 	2.45.8-1.fc24
	log4cplus 		> 	1.1.3-0.3.rc3.fc23
	systemtap-sdt-devel 	2.9-0.20150831git... 	> 	2.9-0.20150914git...
	cpio 	2.11-36.fc23 	> 	2.12-2.fc24
	kernel-headers 	4.3.0-0.rc0.git14.1... 	> 	4.3.0-0.rc1.git0.1....
	nss-tools 	3.20.0-2.fc24 	> 	3.20.0-3.fc24
	gmp 	1:6.0.0-12.fc24 	> 	1:6.0.0-14.fc24
	nss-sysinit 	3.20.0-2.fc24 	> 	3.20.0-3.fc24
	nss 	3.20.0-2.fc24 	> 	3.20.0-3.fc24
	gnutls 	3.4.4-1.fc24 	> 	3.4.5-1.fc24
	libnghttp2 	1.3.0-1.fc24 	> 	1.3.1-1.fc24
	unzip 	6.0-22.fc23 	> 	6.0-23.fc24
	libattr 	2.4.47-13.fc24 	> 	2.4.47-14.fc24
Comment 1 Petr Šabata 2015-09-21 03:45:43 EDT
This is related to the libstatgrab-0.91 update.
Comment 2 Christopher Meng 2015-09-21 07:01:57 EDT
Well, I have no idea if you want to stick with version released 10 years ago.

http://search.cpan.org/dist/Unix-Statgrab/

The author of this perl binding is also the upstream of libstatgrab, please use the latest version.
Comment 3 Petr Šabata 2015-09-21 07:55:53 EDT
There already is an update ticket for it (linked in comment 1).
Comment 4 Petr Šabata 2015-09-22 09:58:21 EDT
Resolved with the 0.109 upgrade.

Note You need to log in before you can comment on or make changes to this bug.